/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/libraries/expat/expat.hpp

*/

#ifndef SGX_LIBRARIES_EXPAT_HPP
#define SGX_LIBRARIES_EXPAT_HPP	1


class sgxXMLExpatParser : public CXMLParser {
public:
    static  CXMLParser	    *create();
	virtual tBOOL			parseStream(sgxXMLTree &tree, sgxXMLStreamCallbackHandler *pHandler);
	virtual tBOOL			parseMemory(sgxXMLTree &tree, const tBYTE *pBuffer, const tUINT32 bufferSize);

protected:
    sgxXMLExpatParser();

private:
    virtual ~sgxXMLExpatParser();
};


#endif /* SGX_LIBRARIES_EXPAT_HPP */
